petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchMonitorSolutionUpdate

Monitors each update a new function value the linesearch tries

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchMonitorSolutionUpdate(SNESLineSearch ls,PetscViewerAndFormat *vf)

Collective on SNESLineSearch Many br

### Input Parameters

| ls | - the SNES linesearch object Many br
| vf | - the context for the monitor, in this case it is an ASCII PetscViewer and format Many br

Many br

### Keywords

SNES, nonlinear, default, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages